Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2893493004: First step for modular output in fasta. (Closed)

Created:
6 months ago by Siggi Cherem (dart-lang)
Modified:
6 months ago
Reviewers:
Paul Berry, scheglov, ahe
CC:
reviews_dartlang.org, dart-fe-team+reviews_google.com
Target Ref:
refs/heads/master
Visibility:
Public.

Description

First step for modular output in fasta. Some details: - Adds the tree-shaker logic and unit tests for it, Note: I'm still not clear on what degree of tree-shaking we can get away with. For now I have a mode to delete anything that is not seen explicitly. This passes verification for all of our tests so far, but breaks both the mixin and the async/await transformer in some scenarios. - Writes a prototype of kernelForBuildUnit (although no automated tests for it yet). - Moves a few more pieces to ProcessedOptions R=scheglov@google.com Committed: https://github.com/dart-lang/sdk/commit/d9e9382373598a953ac184e87454dff78e611111

Patch Set 1 #

Total comments: 6

Patch Set 2 : revisit approach #

Total comments: 8

Patch Set 3 : cl comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1263 lines, -148 lines) Patch
M pkg/compiler/lib/src/kernel/fasta_support.dart View 1 1 chunk +0 lines, -3 lines 0 comments Download
M pkg/front_end/lib/compiler_options.dart View 2 chunks +0 lines, -24 lines 0 comments Download
M pkg/front_end/lib/kernel_generator.dart View 5 chunks +74 lines, -15 lines 0 comments Download
M pkg/front_end/lib/src/base/processed_options.dart View 5 chunks +69 lines, -39 lines 0 comments Download
A pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart View 1 2 1 chunk +406 lines, -0 lines 0 comments Download
M pkg/front_end/lib/src/fasta/kernel/kernel_target.dart View 1 2 8 chunks +50 lines, -12 lines 0 comments Download
M pkg/front_end/lib/src/fasta/kernel/verifier.dart View 1 chunk +3 lines, -1 line 0 comments Download
A pkg/front_end/test/fasta/shaker.status View 1 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/test/fasta/shaker_test.dart View 1 1 chunk +241 lines, -0 lines 0 comments Download
M pkg/front_end/test/fasta/testing.json View 4 chunks +22 lines, -4 lines 0 comments Download
M pkg/front_end/test/fasta/testing/suite.dart View 4 chunks +12 lines, -8 lines 0 comments Download
M pkg/front_end/test/src/base/processed_options_test.dart View 5 chunks +20 lines, -39 lines 0 comments Download
M pkg/front_end/test/subpackage_relationships_test.dart View 1 chunk +6 lines, -3 lines 0 comments Download
A pkg/front_end/testcases/shaker/classes_in_signatures.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/classes_in_signatures.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/empty_program.dart View 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/empty_program.dart.shaker View 1 1 chunk +72 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/implicit_constructors.dart View 1 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/implicit_constructors.dart.shaker View 1 1 chunk +6 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/include_bounds.dart View 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/include_bounds.dart.shaker View 1 chunk +6 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/include_field_type.dart View 1 chunk +7 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/include_field_type.dart.shaker View 1 chunk +7 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/lib/lib.dart View 1 chunk +33 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots0.dart View 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots0.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots1.dart View 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots1.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots2.dart View 1 chunk +11 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots2.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots3.dart View 1 chunk +11 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots3.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots4.dart View 1 chunk +15 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots4.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots5.dart View 1 chunk +11 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots5.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots6.dart View 1 chunk +11 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots6.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots7.dart View 1 chunk +9 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/roots7.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/toplevel_reference.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/toplevel_reference.dart.shaker View 1 chunk +5 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/transitive_mixins.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/transitive_mixins.dart.shaker View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/transitive_superclass.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/transitive_superclass.dart.shaker View 1 1 chunk +7 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/typedefs_in_types.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A pkg/front_end/testcases/shaker/typedefs_in_types.dart.shaker View 1 chunk +2 lines, -0 lines 0 comments Download
Trybot results:

Messages

Total messages: 13 (6 generated)
Siggi Cherem (dart-lang)
https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/kernel_generator.dart File pkg/front_end/lib/kernel_generator.dart (right): https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/kernel_generator.dart#newcode48 pkg/front_end/lib/kernel_generator.dart:48: var pOptions = new ProcessedOptions(options); Using processedOptions for a ...
6 months ago (2017-05-18 04:51:13 UTC) #3
scheglov
LGTM https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/kernel_generator.dart File pkg/front_end/lib/kernel_generator.dart (right): https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/kernel_generator.dart#newcode160 pkg/front_end/lib/kernel_generator.dart:160: // in a specific order. On 2017/05/18 04:51:13, ...
6 months ago (2017-05-18 15:54:08 UTC) #4
Siggi Cherem (dart-lang)
PTAL - after our conversations this morning I did a few updates: - I split ...
6 months ago (2017-05-19 04:37:33 UTC) #6
scheglov
lgtm https://codereview.chromium.org/2893493004/diff/60001/pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart File pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart (right): https://codereview.chromium.org/2893493004/diff/60001/pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart#newcode130 pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart:130: if (q.contains("Converter")) print(q); Debug code? https://codereview.chromium.org/2893493004/diff/60001/pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart#newcode251 pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart:251: if ...
6 months ago (2017-05-19 17:19:05 UTC) #7
Siggi Cherem (dart-lang)
thanks Konstantin! Peter or Paul - I'd be happy to come back to address any ...
6 months ago (2017-05-19 19:43:31 UTC) #10
Siggi Cherem (dart-lang)
Committed patchset #3 (id:120001) manually as d9e9382373598a953ac184e87454dff78e611111 (presubmit successful).
6 months ago (2017-05-19 20:59:22 UTC) #12
ahe
6 months ago (2017-05-22 12:04:24 UTC) #13
Message was sent while issue was closed.
https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/src/f...
File pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart (right):

https://codereview.chromium.org/2893493004/diff/20001/pkg/front_end/lib/src/f...
pkg/front_end/lib/src/fasta/kernel/kernel_outline_shaker.dart:14: /// Removes
from [program] unnecessary libraries, classes, and members.
Removes unnecessary libraries, classes, and members from [program].

Powered by Google App Engine
This is Rietveld efc10ee0f